Bug#499284: system-config-printer: Does not work if run as non-root

Sam Morris sam at robots.org.uk
Wed Sep 17 14:07:34 UTC 2008

Package: system-config-printer
Version: 1.0.0-3
Severity: important

Running system-config-printer as a non-root user causes this message to
be displayed:

CUPS server error
There was an HTTP error: Not connected.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (530, 'testing'), (520, 'unstable'), (510, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages system-config-printer depends on:
ii  gksu                          2.0.0-5    graphical frontend to su
ii  python                        2.5.2-2    An interactive high-level object-o
ii  python-cups                   1.9.31-1   Python bindings for CUPS
ii  python-cupsutils              1.0.0-3    Python utility modules around the 
ii  python-dbus                   0.82.4-2   simple interprocess messaging syst
ii  python-glade2                 2.12.1-6   GTK+ bindings: Glade support
ii  python-gnome2                 2.22.0-1   Python bindings for the GNOME desk
ii  python-gtk2                   2.12.1-6   Python bindings for the GTK+ widge
ii  python-notify                 0.1.1-2+b1 Python bindings for libnotify
ii  python-support                0.8.4      automated rebuilding support for P

Versions of packages system-config-printer recommends:
ii  hal-cups-utils                0.6.16-2   Utilities to detect and configure 
ii  synaptic                      0.62.1     Graphical package manager

system-config-printer suggests no packages.

-- no debconf information

More information about the pkg-gnome-maintainers mailing list